import '@material/web/icon/icon.js';
import '@things-factory/component-ui';
import '../../components/invite-user';
import '../../components/ownership-transfer-popup';
import '../../components/user-role-editor';
import '../../components/create-user';
import { PageView } from '@operato/shell';
declare const UserManagement_base: (new (...args: any[]) => import("lit").LitElement) & typeof PageView;
export declare class UserManagement extends UserManagement_base {
    static styles: import("lit").CSSResult[];
    domainUsers: any[];
    owner: any;
    currentTab: string;
    passwordResettable: boolean;
    userCreatable: boolean;
    userListElement: HTMLElement & {
        close: () => void;
    };
    get context(): {
        title: string;
        help: string;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageUpdated(changes: any, lifecycle: any, before: any): Promise<void>;
    refreshUsers(): Promise<void>;
    checkPasswordResettable(): Promise<void>;
    checkUserCreatable(): Promise<void>;
    createUser(user: {
        username: string;
        name: string;
        email: string;
    }): Promise<void>;
    showToast(message: any): void;
}
export {};
